wxULongLong Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxULongLong Class Reference
Class List by Category » Data Structures

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/longlong.h>`

## Detailed Description

This class represents an unsigned 64 bit long number.

See wxLongLong for more details.

##

Library: wxBase
Category: Data Structures

## Public Member Functions
| wxULongLong ()
| Default constructor initializes the object to 0.
| wxULongLong (wxLongLong_t ll)
| Constructor from native unsigned long long (only for compilers supporting it).
| wxULongLong (wxUint32 hi, wxUint32 lo)
| Constructor from 2 longs: the high and low part are combined into one wxULongLong.
wxUint32 | GetHi () const
| Returns the high 32 bits of 64 bit integer.
wxUint32 long | GetLo () const
| Returns the low 32 bits of 64 bit integer.
wxULongLong_t | GetValue () const
| Convert to native long long (only for compilers supporting it).
double | ToDouble () const
| Returns the value as `double`.
unsigned long | ToULong () const
| Truncate wxULongLong to long.
wxString | ToString () const
| Returns the string representation of a wxULongLong.
wxULongLong | operator+ (const wxULongLong &ll) const
| Adds 2 wxLongLongs together and returns the result.
wxULongLong & | operator+ (const wxULongLong &ll)
| Add another wxULongLong to this one.
wxULongLong | operator- (const wxULongLong &ll) const
| Subtracts 2 wxLongLongs and returns the result.
wxULongLong & | operator- (const wxULongLong &ll)
| Subtracts another wxULongLong from this one.
wxULongLong & | operator= (const wxLongLong &ll)
| Assignment operator from signed long long.
wxULongLong & | operator= (wxLongLong_t ll)
| Assignment operator from native long long (only for compilers supporting it).
wxULongLong & | operator= (wxULongLong_t ll)
| Assignment operator from native unsigned long long (only for compilers supporting it).
wxULongLong & | operator= (long l)
| Assignment operator from long.
wxULongLong & | operator= (unsigned long l)
| Assignment operator from unsigned long.
wxULongLong | operator++ ()
| Pre/post increment operator.
wxULongLong | operator++ (int)
| Pre/post increment operator.
wxULongLong | operator-- ()
| Pre/post decrement operator.
wxULongLong | operator-- (int)
| Pre/post decrement operator.

## Constructor & Destructor Documentation

## ◆ wxULongLong() [1/3]

wxULongLong::wxULongLong | ( |  | ) |

Default constructor initializes the object to 0.

## ◆ wxULongLong() [2/3]

wxULongLong::wxULongLong | ( | wxLongLong_t | ll | ) |

Constructor from native unsigned long long (only for compilers supporting it).

## ◆ wxULongLong() [3/3]

wxULongLong::wxULongLong | ( | wxUint32 | hi,
|  | wxUint32 | lo )

Constructor from 2 longs: the high and low part are combined into one wxULongLong.

## Member Function Documentation

## ◆ GetHi()

wxUint32 wxULongLong::GetHi | ( |  | ) | const

Returns the high 32 bits of 64 bit integer.

## ◆ GetLo()

wxUint32 long wxULongLong::GetLo | ( |  | ) | const

Returns the low 32 bits of 64 bit integer.

## ◆ GetValue()

wxULongLong_t wxULongLong::GetValue | ( |  | ) | const

Convert to native long long (only for compilers supporting it).

## ◆ operator+() [1/2]

wxULongLong & wxULongLong::operator+ | ( | const wxULongLong & | ll | ) |

Add another wxULongLong to this one.

## ◆ operator+() [2/2]

wxULongLong wxULongLong::operator+ | ( | const wxULongLong & | ll | ) | const

Adds 2 wxLongLongs together and returns the result.

## ◆ operator++() [1/2]

wxULongLong wxULongLong::operator++ | ( |  | ) |

Pre/post increment operator.

## ◆ operator++() [2/2]

wxULongLong wxULongLong::operator++ | ( | int |  | ) |

Pre/post increment operator.

## ◆ operator-() [1/2]

wxULongLong & wxULongLong::operator- | ( | const wxULongLong & | ll | ) |

Subtracts another wxULongLong from this one.

## ◆ operator-() [2/2]

wxULongLong wxULongLong::operator- | ( | const wxULongLong & | ll | ) | const

Subtracts 2 wxLongLongs and returns the result.

## ◆ operator--() [1/2]

wxULongLong wxULongLong::operator-- | ( |  | ) |

Pre/post decrement operator.

## ◆ operator--() [2/2]

wxULongLong wxULongLong::operator-- | ( | int |  | ) |

Pre/post decrement operator.

## ◆ operator=() [1/5]

wxULongLong & wxULongLong::operator= | ( | const wxLongLong & | ll | ) |

Assignment operator from signed long long.

The sign bit will be copied too.

Since
  2.7.0

## ◆ operator=() [2/5]

wxULongLong & wxULongLong::operator= | ( | long | l | ) |

Assignment operator from long.

Since
  2.7.0

## ◆ operator=() [3/5]

wxULongLong & wxULongLong::operator= | ( | unsigned long | l | ) |

Assignment operator from unsigned long.

Since
  2.7.0

## ◆ operator=() [4/5]

wxULongLong & wxULongLong::operator= | ( | wxLongLong_t | ll | ) |

Assignment operator from native long long (only for compilers supporting it).

## ◆ operator=() [5/5]

wxULongLong & wxULongLong::operator= | ( | wxULongLong_t | ll | ) |

Assignment operator from native unsigned long long (only for compilers supporting it).

Since
  2.7.0

## ◆ ToDouble()

double wxULongLong::ToDouble | ( |  | ) | const

Returns the value as `double`.

## ◆ ToString()

wxString wxULongLong::ToString | ( |  | ) | const

Returns the string representation of a wxULongLong.

## ◆ ToULong()

unsigned long wxULongLong::ToULong | ( |  | ) | const

Truncate wxULongLong to long.

If the conversion loses data (i.e. the wxULongLong value is outside the range of built-in long type), an assert will be triggered in debug mode.